// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Fischer
#include "sleep_strategy/SemaphoreWorkerSleepStrategy.hpp"

#include "Runtime.hpp"

namespace emper::sleep_strategy {

// This must be excluded from SemaphoreWorkerSleepStrategy.hpp because this
// header is included from Runtime.hpp and therefore we can not easily use Runtime
// function
auto isRuntimeTerminating() -> bool { return Runtime::getRuntime()->isTerminating(); }

}	 // namespace emper::sleep_strategy
