// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2020-2021 Florian Schmaus
#pragma once

#include "Dispatcher.hpp"

class Fiber;
class Runtime;

class LawsDispatcher : public Dispatcher {
 private:
	void recycle(Fiber* fiber) override;

 public:
	LawsDispatcher(Runtime& runtime) : Dispatcher(runtime) {}

	void dispatchLoop() override;
};
