// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2020-2021 Florian Schmaus
#include "Common.hpp"

#include <cstdio>
#include <cstdlib>
#include <iostream>

void die(const char* message, bool usePerror) {
	if (usePerror) {
		std::perror(message);
	} else {
		std::cerr << message << std::endl;
	}

	abort();
}
