// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2020 Florian Schmaus
#pragma once

#include "MemoryManager.hpp"	// for MemoryManager

class Fiber;
class Runtime;

class FiberManager : protected MemoryManager<Fiber, 128, 64> {
 private:
	static auto getFiberMemory() -> void*;

	static void putFiberMemory(Fiber* fiber);

 public:
	FiberManager(Runtime& runtime);
};
